Skip to navigation
ActivitiesLead Merges

Get a single LeadMerge activity

View as Markdown

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
_typestring

Type of the activity, e.g. Call, Email or Note.

activity_atdatetime or null

When the activity happened, e.g. when an Email or SMS was sent. Defaults to date_created.

contact_idstring or null

ID of the Contact the activity is with, or null if it isn’t with a particular Contact.

created_bystring or null

ID of the user who created the activity, or null if it wasn’t created by a user.

date_createddatetime
When the activity was created.
date_updateddatetime
When the activity was last updated.
destination_display_namestring or null
destination_lead_idstring
error_messagestring or null
idstring

ID of the activity, e.g. acti_abc123.

lead_idstring or null

ID of the Lead the activity is on. Can be null for Calls and SMS with phone numbers that don’t match any Contact.

merge_statusenum
Progress of a Lead merge.
Allowed values:
organization_idstring
ID of the organization the activity belongs to.
source_display_namestring or null
source_lead_idstring
updated_bystring or null

ID of the user who last updated the activity, or null if it wasn’t updated by a user.

user_idstring or null

ID of the user the activity belongs to, e.g. who made the Call or sent the Email. Can be null, e.g. for an incoming SMS to a group number.

userslist of strings
IDs of all users the activity is associated with, e.g. every Close user on an Email Thread or invited to a Meeting.
created_by_namestring or nullOptional

Name of the user in created_by.

updated_by_namestring or nullOptional

Name of the user in updated_by.

user_namestring or nullOptional

Name of the user in user_id.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error